Skip to main content

Redirect back

POST{{server}}/api/v1/counter/redirect

This endpoint redirects back the ticket to a previous clerk.

Request

  • ticket(string, required): The called ticket key.

  • task(string, required): The key of the task under transaction.

  • user(string, required): Target clerk's user key

  • service(string, required): Target service key

  • wasRealTransaction(boolean): Is it was a real transaction?

  • afterwork(boolean): If the afterwork is enabled for the current service, the clerk can decide whether want to afterwork on the ticket or not.

  • closingCodes(string|string[]): Optional one or more closing code keys

There is no response if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}",
"user": "00000000-0000-4000-0002-000000000008",
"service": "00000000-0000-4000-0007-000000000002",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/redirect' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}",
"user": "00000000-0000-4000-0002-000000000008",
"service": "00000000-0000-4000-0007-000000000002",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}'

Example​

Example request
POST{{server}}/api/v1/counter/redirect
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}",
"user": "00000000-0000-4000-0002-000000000008",
"service": "00000000-0000-4000-0007-000000000002",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}
Example response 204 No Content
No response body